// Copyright (c) 2001-2003 Quadralay Corporation.  All rights reserved.
//

function  WWHJavaScriptSettings_Object()
{
  this.mHoverText = new WWHJavaScriptSettings_HoverText_Object();

  this.mTabs   = new WWHJavaScriptSettings_Tabs_Object();
  this.mTOC    = new WWHJavaScriptSettings_TOC_Object();
  this.mIndex  = new WWHJavaScriptSettings_Index_Object();
  this.mSearch = new WWHJavaScriptSettings_Search_Object();
}

function  WWHJavaScriptSettings_HoverText_Object()
{
  this.mbEnabled = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: small";

  this.mWidth = 150;

  this.mForegroundColor = "#000000";
  this.mBackgroundColor = "#FFFFCC";
  this.mBorderColor     = "#000000";
}

function  WWHJavaScriptSettings_Tabs_Object()
{
  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: small";

  this.mSelectedTabColor       = "#FFFFFF";
  this.mSelectedTabBorderColor = "#FFFFFF";
  this.mSelectedTabTextColor   = "#333333";

  this.mDefaultTabColor       = "#E6E6E6";
  this.mDefaultTabBorderColor = "#E6E6E6";
  this.mDefaultTabTextColor   = "#594FBF";
}

function  WWHJavaScriptSettings_TOC_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 12px";

  this.mHighlightColor = "#CCCCCC";
  this.mEnabledColor   = "#3A2EB5";
  this.mDisabledColor  = "#FFFFFF";

  this.mIndent = 17;
}

function  WWHJavaScriptSettings_Index_Object()
{
  this.mbShow = true;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 12px";

  this.mHighlightColor = "#CCCCCC";
  this.mEnabledColor   = "#3A2EB5";
  this.mDisabledColor  = "#000000";

  this.mIndent = 17;

  this.mNavigationFontStyle      = "font-family: Arial, Helvetica, sans-serif ; font-size: small ; font-weight: bold";
  this.mNavigationCurrentColor   = "black";
  this.mNavigationHighlightColor = "#CCCCCC";
  this.mNavigationEnabledColor   = "#3A2EB5";
  this.mNavigationDisabledColor  = "#FF0000";
}

function  WWHJavaScriptSettings_Index_DisplayOptions(ParamIndexOptions)
{
  ParamIndexOptions.fSetThreshold(3);
  ParamIndexOptions.fSetSeperator("  ");
}

function  WWHJavaScriptSettings_Search_Object()
{
  this.mbShow = false;

  this.mFontStyle = "font-family: Arial, Helvetica, sans-serif ; font-size: 9pt";

  this.mHighlightColor = "#CCCCCC";
  this.mEnabledColor   = "#3A2EB5";
  this.mDisabledColor  = "#FFFFFF";

  this.mIndent = 17;

  this.mbResultsByBook = true;
  this.mbShowRank      = true;
}
